> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> List all API keys for the authenticated user



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/api-keys/api_keys/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/api-keys/api_keys/:
    get:
      tags:
        - api-keys
      summary: List API Keys
      description: List all API keys for the authenticated user
      operationId: api_keys_api_keys_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/APIKeyList'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    APIKeyList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: A human-readable name for this API key
          maxLength: 255
        store_name:
          type: string
          readOnly: true
        organization_role:
          allOf:
            - $ref: '#/components/schemas/OrganizationRole'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_used_at:
          type: string
          format: date-time
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
        is_active:
          type: boolean
      required:
        - created_at
        - id
        - name
        - organization_role
        - store_name
    OrganizationRole:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        role:
          $ref: '#/components/schemas/RoleEnum'
        user:
          allOf:
            - $ref: '#/components/schemas/SimpleCustomUser'
          readOnly: true
      required:
        - id
        - user
    RoleEnum:
      enum:
        - ADMIN
        - EDITOR
        - VIEWER
      type: string
      description: |-
        * `ADMIN` - Admin
        * `EDITOR` - Editor
        * `VIEWER` - Viewer
    SimpleCustomUser:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        best_identifier:
          type: string
          readOnly: true
      required:
        - best_identifier
        - id
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````